Subject: Re: Dynamic libraries do not work

From: Theo Gjaltema <[email-masked]>
Date: Tue, 31 May 2005 22:29:29 +0200

I 've found the problem, the ramdisk used contained executables as well 
as dyn. libs from the mpc8260 instead of the mpc862.
I don't know why the whole system came to a halt without any message but 
replacing the dyn. libs and executables with the correct ones solved the 
problem of crashing.

Many thanks for your responses,
   Theo.

Jaap-Jan Boor schreef:

> Theo,
>
> What type of processor are you using? 8xx?
> Did you build a tool-chain yourself and are
> you perhaps using floating point?
>
> Jaap-Jan
>
> On 26-mei-2005, at 23:04, Theo Gjaltema wrote:
>
>> Hello,
>>
>> I have a linux 2.4.20 kernel running, but the files in the ramdisk  
>> fail to execute if they are dynamically build.
>> The whole system stops (debuggers shows that it crashed while in an  
>> erea where no flash/ram is present.
>> Anyone an idea?
>> There is nog difference between the use of a ramdisk or an nfs  
>> mounted root filesystem.
>>
>> Greetings,
>>    Theo.
>>
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>
> ____
> J.G.J. Boor                       Anton Philipsweg 1
> Software Engineer                 1223 KZ Hilversum
> AimSys bv                         tel. +31 35 689 1941
> Postbus 2194, 1200 CD Hilversum   jjboor at aimsys dot nl
>
>
>